<EntityClassDefinition.Lt_A_AIrlock_Door_Ext __id="6b09fc8e-4e0c-46a3-9f97-7c912abc1aed" __path="libs/foundry/records/entities/scitem/airlocks/entityclassdefinition.lt_a_airlock_door_ext.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="door.bmp" Invisible="0">
  <Components>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="00000000-0000-0000-0000-000000000000" RequiredTags="" Size="1" SubType="AirlockPart" Tags="" Type="Door">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SEntityComponentDefaultLoadoutParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentDefaultLoadoutParams">
      <loadout __type="SItemPortLoadoutBaseParams" __polymorphicType="SItemPortLoadoutXMLParams" loadoutPath="scripts/loadouts/objects/doors/airlockdoorlowtechloadout.xml">
        <InventoryItems />
      </loadout>
    </SEntityComponentDefaultLoadoutParams>
    <SCItemDoorParams __type="DataForgeComponentParams" __polymorphicType="SCItemDoorParams" AutoCloseDelay="3.0" BreachedDoorAnimationSpeed="1.0" BreachedDoorOpenAmount="0.15000000596046448" BreachingDoorAnimationSpeed="1.0" ClosedEffectGroup="ClosedGroup" CloseEffectGroup="CloseGroup" CloseFinishedInteraction="None" ClosingEffectGroup="ClosingGroup" DestructionBehavior="BreakDoor" DoorAnimationSpeed="1.0" FragName="SCItemDoor" IsIgnoredByDoorController="0" IsLocked="0" IsOpened="0" LockedEffectGroup="" OpenedEffectGroup="OpenedGroup" OpenEffectGroup="OpenGroup" OpenFinishedInteraction="None" OpeningEffectGroup="OpeningGroup" OverrideClosedEffectGroup="" OverrideCloseEffectGroup="" OverrideCloseInteraction="None" OverrideClosingEffectGroup="" OverrideOpenedEffectGroup="" OverrideOpenEffectGroup="" OverrideOpeningEffectGroup="" OverrideOpenInteraction="None" SecondaryOpenInteraction="None" ToggleInteraction="None" UnlockedEffectGroup="" UnlockInteraction="None" UseAutoCloseDelay="1">
      <AnimationParams __type="SCItemDoorAnimationParams" __polymorphicType="SCItemDoorSimpleOpenCloseParams" CloseTag="Close" DefaultAnimationDurationScale="1.0" OpenTag="Open" SecondaryAnimationDurationScale="1.0" />
      <CloseInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="61cc8167-9013-4534-b4fc-3d7f60e752b7" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </CloseInteraction>
      <CollisionReaction __type="SDoorCollisionReactionBaseParams" __polymorphicType="SDoorCollisionReactionNoneParams" />
      <EffectParams __type="SCItemDoorEffectParams" closedTrigger="00000000-0000-0000-0000-000000000000" closeTrigger="00000000-0000-0000-0000-000000000000" closingTag="00000000-0000-0000-0000-000000000000" lockedTrigger="00000000-0000-0000-0000-000000000000" openedTrigger="00000000-0000-0000-0000-000000000000" openingTag="00000000-0000-0000-0000-000000000000" openTrigger="00000000-0000-0000-0000-000000000000" overrideClosedTrigger="00000000-0000-0000-0000-000000000000" overrideCloseTrigger="00000000-0000-0000-0000-000000000000" overrideClosingTag="00000000-0000-0000-0000-000000000000" overrideOpenedTrigger="00000000-0000-0000-0000-000000000000" overrideOpeningTag="00000000-0000-0000-0000-000000000000" overrideOpenTrigger="00000000-0000-0000-0000-000000000000" unlockedTrigger="00000000-0000-0000-0000-000000000000" />
      <LockInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Lock" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </LockInteraction>
      <OpenInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="5ed0ade9-51ed-4bed-835c-ada7fbd38738" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </OpenInteraction>
      <PortalMode __type="SCItemDoorPortalModeParams" __polymorphicType="SCItemDoorPortalModeAutomaticParams" />
    </SCItemDoorParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints />
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="5ed0ade9-51ed-4bed-835c-ada7fbd38738" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="61cc8167-9013-4534-b4fc-3d7f60e752b7" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Lock" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Override" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Cycle" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SInteractionLinkParams __type="DataForgeComponentParams" __polymorphicType="SInteractionLinkParams">
      <linkPlugs />
      <vehicleItemPortInteractionLinks />
    </SInteractionLinkParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="objects/buildingsets/human/lowtech/alpha/int/door/lowtech_alpha_airlock_door_ext_a.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="1" Mass="0.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SAnimationControllerParams __type="DataForgeComponentParams" __polymorphicType="SAnimationControllerParams" AnimationController="SCItems\Doors\SCItem_Door_ControllerDefs.xml" AnimationDatabase="SCItems\Doors\SCItem_Door_Anims.adb" AnimationJointControls="None" defaultAnimation="None">
      <AnimationControlActorIKs />
      <AnimationTasks />
      <ScopeContexts>
        <SAnimationScopeContext __type="SAnimationScopeContext" scopeContext="SCItemDoor" type="Self" />
      </ScopeContexts>
      <Tags />
    </SAnimationControllerParams>
    <SEntityAudioControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityAudioControllerParams" audioControllerEntityType="None" fullLODDistance="9000.0" fullToLowLODDistance="9050.0" occlusionAttenuationScaler="0.5" offLODDistance="10050.0" offToLowLODDistance="10000.0" randomSeedCount="0">
      <tags __type="TagList">
        <tags />
      </tags>
    </SEntityAudioControllerParams>
    <EntityComponentPowerConnection __type="DataForgeComponentParams" __polymorphicType="EntityComponentPowerConnection" DecayRateOfEM="0.15000000596046448" DisplayedInPoweredItemList="0" IsOverclockable="0" IsThrottleable="0" MisfireGenerationParams="None" MisfireItemTypeLocID="@LOC_PLACEHOLDER" OverclockPerformance="0.0" OverclockThresholdMax="0.0" OverclockThresholdMin="0.0" OverpowerPerformance="0.0" PowerBase="0.0" PowerDraw="1.0" PowerToEM="0.0" SafeguardPriority="0" TimeToReachDrawRequest="0.0" WarningDelayTime="0.30000001192092896" WarningDisplayTime="8.0">
      <MisfireEvents __type="SMisfireEvents">
        <CriticalMisfires />
        <MajorMisfires />
        <MinorMisfires />
      </MisfireEvents>
    </EntityComponentPowerConnection>
    <SEntityEffectCoreParams __type="DataForgeComponentParams" __polymorphicType="SEntityEffectCoreParams">
      <EffectParams>
        <SEffectParamsNodeSound __type="SEffectParamsNodeBase" __polymorphicType="SEffectParamsNodeSound" GeomTags="">
          <SoundParams __type="SEffectParams" __polymorphicType="SEffectParamSound" ContextFlags="3" Enabled="0" Helper="bulkhead_door_body_right" IsLooped="0" Kill="1" MultiPosition="0" Name="Play_MCAN_LT_Airlock_Door_Complete_Sequence_Open" Prime="0" RenderSlot="-1" tag="OpenGroup" Timer="2.0">
            <Axis __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <InputVariables />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SoundParams>
          <SubNodes />
        </SEffectParamsNodeSound>
        <SEffectParamsNodeSound __type="SEffectParamsNodeBase" __polymorphicType="SEffectParamsNodeSound" GeomTags="">
          <SoundParams __type="SEffectParams" __polymorphicType="SEffectParamSound" ContextFlags="3" Enabled="0" Helper="bulkhead_door_body_right" IsLooped="0" Kill="1" MultiPosition="0" Name="Play_MCAN_LT_Airlock_Door_Complete_Sequence_Close" Prime="0" RenderSlot="-1" tag="CloseGroup" Timer="2.0">
            <Axis __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <InputVariables />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SoundParams>
          <SubNodes />
        </SEffectParamsNodeSound>
        <SEffectParamsNodeSound __type="SEffectParamsNodeBase" __polymorphicType="SEffectParamsNodeSound" GeomTags="">
          <SoundParams __type="SEffectParams" __polymorphicType="SEffectParamSound" ContextFlags="3" Enabled="0" Helper="bulkhead_door_body_right" IsLooped="0" Kill="1" MultiPosition="0" Name="" Prime="0" RenderSlot="-1" tag="OpenedGroup" Timer="2.0">
            <Axis __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <InputVariables />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SoundParams>
          <SubNodes />
        </SEffectParamsNodeSound>
        <SEffectParamsNodeSound __type="SEffectParamsNodeBase" __polymorphicType="SEffectParamsNodeSound" GeomTags="">
          <SoundParams __type="SEffectParams" __polymorphicType="SEffectParamSound" ContextFlags="3" Enabled="0" Helper="bulkhead_door_body_right" IsLooped="0" Kill="1" MultiPosition="0" Name="" Prime="0" RenderSlot="-1" tag="ClosedGroup" Timer="2.0">
            <Axis __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <InputVariables />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SoundParams>
          <SubNodes />
        </SEffectParamsNodeSound>
        <SEffectParamsNodeSound __type="SEffectParamsNodeBase" __polymorphicType="SEffectParamsNodeSound" GeomTags="">
          <SoundParams __type="SEffectParams" __polymorphicType="SEffectParamSound" ContextFlags="3" Enabled="0" Helper="bulkhead_door_body_right" IsLooped="1" Kill="1" MultiPosition="0" Name="" Prime="0" RenderSlot="-1" tag="OpeningGroup" Timer="0.0">
            <Axis __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <InputVariables />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SoundParams>
          <SubNodes />
        </SEffectParamsNodeSound>
        <SEffectParamsNodeSound __type="SEffectParamsNodeBase" __polymorphicType="SEffectParamsNodeSound" GeomTags="">
          <SoundParams __type="SEffectParams" __polymorphicType="SEffectParamSound" ContextFlags="3" Enabled="0" Helper="bulkhead_door_body_right" IsLooped="1" Kill="1" MultiPosition="0" Name="" Prime="0" RenderSlot="-1" tag="ClosingGroup" Timer="0.0">
            <Axis __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <InputVariables />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SoundParams>
          <SubNodes />
        </SEffectParamsNodeSound>
      </EffectParams>
    </SEntityEffectCoreParams>
    <SEntityComponentRoomConnectorParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentRoomConnectorParams" enableConnectorBridging="1" orientationMode="AutoDetectWidest" requiresPower="0">
      <boundsOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
      <defaultAreaBounds __type="Vec3" x="2.0" y="1.0" z="2.0" />
    </SEntityComponentRoomConnectorParams>
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" masterController="None" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <Ports>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="10" MinSize="1" Name="control_panel_a" PortTags="Front" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_control_panel_a" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="ControlPanel">
              <SubTypes>DoorPart</SubTypes>
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="10" MinSize="0" Name="charge_handle_a" PortTags="Front" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_charge_handle_a" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="Misc">
              <SubTypes>DoorPart</SubTypes>
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="2" MinSize="0" Name="proximity_sensor" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_sensor" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="Sensor">
              <SubTypes>DoorPart</SubTypes>
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
      </Ports>
    </SItemPortContainerComponentParams>
    <ItemControlComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControlComponentParams" throttleParams="None" turnedOnByDefault="1" />
    <SAreaComponentParams __type="DataForgeComponentParams" __polymorphicType="SAreaComponentParams" />
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.Lt_A_AIrlock_Door_Ext>